Subject: bug#52366: GNU Emacsen 28.0.90 and 29.0.50 have buggy calendar mode lines

From: Stephen Berman <[email-masked]>
Date: Wed, 08 Dec 2021 10:23:52 +0100

On Wed, 8 Dec 2021 01:24:44 +0100 Peter Dyballa <[email-masked]> wrote:

> Hello!
>
> The screenshot from macOS 12.0.1 (Monterey) shows in foreground at the top GNU
> Emacs 29.0.50 (built in MacPorts) and in foreground at the bottom GNU Emacs
> 28.0.90 (built manually with MacPorts' Clang 13) and in-between in background
> GNU Emacs 28.0.50 (built manually with Clang 11 in an older version of macOS,
> 11.X, Big Sur) which has a correct mode-line. The other two versions display
> in calendar mode-line a white background where the command options '?', 'o' or
> '.' are shown. (GNU Emacsen 28.0.X use a "germanised" version of calendar.)
>
> The question is whether it's the source code or it's the macOS version that
> produces the faults…

It's due to an Emacs change, the `help-key-binding' face, added in this
commit:

  commit 4a112fd7a6f0dcbd1b99b811b324123f5699bdfb
  Author:     Stefan Kangas <[email-masked]>
  Commit:     Stefan Kangas <[email-masked]>
  CommitDate: Mon Mar 8 04:23:08 2021 +0100
  
      Add new face 'help-key-binding' for keybindings in help

Steve Berman